Subject: RE: ICMPv6: Rate Limiting Configuration Per-Node or Per-Interfaces

From: [email-masked]
Date: Wed, 25 Aug 2004 20:36:27 -0500

Fred,

Let me make sure that I understand your preference clearly.

Are you saying that we should leave the section 2.4 (f) as
it was in RFC 2463 ?

I think, we already discussed a lot about this and decided
that we will remove the Timer-based and the Bandwidth-based
rate limiting mechanisms and only have the token-bucket
method.

And as far as I understand, Alex didn't want to bring the
Timer-based and Bandwidth-based methods back.  He just wanted
the token-bucket method's parameter (N and B) to be 
configurable per interface in addition to per node.

Regards
Mukesh

> -----Original Message-----
> From: Fred Templin [mailto:[email-masked]]
> Sent: Monday, August 23, 2004 5:27 PM
> To: Gupta Mukesh (Nokia-NET/MtView)
> Cc: [email-masked]
> Subject: Re: ICMPv6: Rate Limiting Configuration Per-Node or
> Per-Interfaces
> 
> 
> 
> 
> [email-masked] wrote:
> 
> >In your opinion (no reasoning please), the rate limiting
> >configuration per-interface in the ICMPv6 spec should be a
> >
> >1) SHOULD
> >2) MAY
> >3) Any of them is fine for you.
> >
> 
> Bandwidth-based per-interface rate limiting is:
> 
>   1) SHOULD
> 
> In other words, leave current text of [RFC2463], section 2.4 
> (f) as-is.
> 
> Fred
> [email-masked]
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Fred Templin <[email-masked]>
Date: Thu, 26 Aug 2004 08:04:54 -0700 (PDT)

Mukesh,
 
I thought I was being brief, but perhaps I said too much - so let
me rephrase:
 
   Per-interface rate-limiting is: 1) SHOULD
 
Fred L. Templin
[email-masked]

Regards
Mukesh